﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Messages
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            log4net.Config.XmlConfigurator.Configure(new System.IO.FileInfo(Application.StartupPath + "\\log.xml"));
            FormMessagesAndDiagnosis.log.Info("Application started.");

            // load the settings
            FormMessagesAndDiagnosis.appSettings = new Settings();
            FormMessagesAndDiagnosis.appSettings.FileName = Application.StartupPath + "\\AppSet.xml";
            FormMessagesAndDiagnosis.appSettings.ReadSettings();
            Application.Run(new FormMessagesAndDiagnosis());
            FormMessagesAndDiagnosis.log.Info("Application stopped.");

            FormMessagesAndDiagnosis.appSettings.WriteSettings();
        }
    }
}
